import request from '@/utils/request'

// 查询宠物类型列表
export function listAppPetType(query) {
  return request({
    url: '/model/AppPetType/list',
    method: 'get',
    params: query
  })
}

// 查询宠物类型详细
export function getAppPetType(petTypeId) {
  return request({
    url: '/model/AppPetType/' + petTypeId,
    method: 'get'
  })
}

// 新增宠物类型
export function addAppPetType(data) {
  return request({
    url: '/model/AppPetType',
    method: 'post',
    data: data
  })
}

// 修改宠物类型
export function updateAppPetType(data) {
  return request({
    url: '/model/AppPetType',
    method: 'put',
    data: data
  })
}

// 删除宠物类型
export function delAppPetType(petTypeId) {
  return request({
    url: '/model/AppPetType/' + petTypeId,
    method: 'delete'
  })
}
